package electrosphere.engine.service;

/**
 * A service
 */
public interface Service {
    
    /**
     * Initializes the service
     */
    public void init();

    /**
     * Destroys the service
     */
    public void destroy();

    /**
     * Returns the name of the service
     * @return
     */
    public String getName();

}
